3 # Test recognition of YCP format strings.
6 trap 'rm -fr $tmpfiles' 1 2 3 15
8 tmpfiles
="$tmpfiles f-y-1.data"
9 cat <<\EOF
> f-y-1.data
14 # Valid: nine arguments
16 # Invalid: unterminated
24 # Valid: multiple uses of same argument
28 : ${XGETTEXT=xgettext}
30 while read comment
; do
33 tmpfiles
="$tmpfiles f-y-1-$n.in f-y-1-$n.po"
34 cat <<EOF > f-y-1-$n.in
37 ${XGETTEXT} -L YCP
-o f-y-1-
$n.po f-y-1-
$n.
in ||
exit 1
38 test -f f-y-1-
$n.po ||
exit 1
40 if echo "$comment" |
grep 'Valid:' > /dev
/null
; then
41 if grep ycp-format f-y-1-
$n.po
> /dev
/null
; then
47 if grep ycp-format f-y-1-
$n.po
> /dev
/null
; then
53 if test -n "$fail"; then
54 echo "Format string recognition error:" 1>&2
60 rm -f f-y-1-
$n.
in f-y-1-
$n.po